package com.seeyon.apps.govdoc.vo;

import java.sql.Timestamp;
import java.text.ParseException;
import java.util.Date;

import com.seeyon.apps.edoc.constants.EdocConstant;
import com.seeyon.apps.govdoc.helper.GovdocOrgHelper;
import com.seeyon.apps.govdoc.util.GovdocUtil;
import com.seeyon.ctp.common.content.affair.constants.StateEnum;
import com.seeyon.ctp.common.taglibs.functions.Functions;
import com.seeyon.ctp.util.DateUtil;
import com.seeyon.ctp.util.Strings;

public class GovdocListVO {

	private Long summaryId;
	private String identifier;
	private String subject;//列头-标题
	private Integer importantLevel;//列头-紧急程序(标题图标)
	private Long startUserId;
	private String startUserName;//列头-发起
	private String createPerson;//列头-拟稿人/登记人
	private Date registerDate;//列头-登记日期
	private String issuer;//列头-签发人
	private Date signingDate;//列头-签发日期
	private Integer contentType;//公文正文类型
	
	private Timestamp createTime;//列头-发起时间（待发中使用，实际上是创建时间）
	private Timestamp startTime;//列头-发起时间
	private Timestamp completeTime;
	
	private Long summaryDeadline;
	private Date summaryDeadlineDatetime;
	private String summaryDeadLineName ;  //列头-流程期限
	private Boolean summaryIsCoverTime;//列头-公文流程是否超期
	private Integer summaryState;//公文流程状态
	private Integer summaryTransferStatus;//公文交换状态
	private String summaryTransferStatusName;
	private Long orgAccountId;
	private Long orgDepartmentId;
	private Boolean isQuickSend;
	private Long caseId;
	private String processId;
	private Long templeteId;
	private Boolean hasArchive;
	private String hasArchiveTxt;//列头-是否归档
	private Long archiveId;
	private String archiveName;//列头-归档路径
	private Integer govdocType;//列头-公文分类
	private Integer edocType;//列头-公文分类
	private String docMark;//列头-公文文号
	private String docMark2;
	private String serialNo;//列头-内部文号
	private Integer hastenTimes = 0;//列头-催办次数
	private Long exchangeSendAffairId = -1L;//列头-分送状态
	
	private String currentNodesInfo;//列头-当前待办人
	
	private String printUnit = "";//印发单位
	private String printer = "";//打印人
	private Integer copies = 0;//列头-印发份数
	private Integer copies2 = 0;
	private String phone = "";//联系电话
	private String auditor = "";//审核人
	private String review = "";//复核人
	private String undertaker = "";//承办人
	private String undertakenoffice = "";//承办机构
	private String receiveUnit = "";//接收单位
	private String signPerson = "";//签收人
	private String signMark = "";//签收编号
	private Date packTime;//分送日期
	private Date receiptDate;//签收日期
	private Date registrationDate;//登记日期

	private Integer edocSecretLevel;
	private String secretLevel;//列头-密级
	private String urgentLevel;//列头-紧急程度
	private String unitLevel;//列头-公文级别
	private Integer keepPeriod;//列头-保密期限
	private String keepPeriodTxt;//列头-流程期限
	private String docType;//列头-公文种类
	private String sendType;//列头-行文类型	
	
	private String sendTo = "";//列头-主送单位
	private String sendTo2 = "";
	private String sendToId = "";
	private String sendToId2 = "";
	private String copyTo = "";//列头-抄送单位
	private String copyTo2 = "";
	private String copyToId = "";
	private String copyToId2 = "";
	private String reportTo = "";//列头-抄报单位
	private String reportTo2 = "";
	private String reportToId = "";
	private String reportToId2 = "";
	private String sendUnit = "";//列头-发文单位/来文单位(公文查询列表中该字段名显示有问题)
	private String sendUnit2 = "";
	private String sendUnitId = "";
	private String sendUnitId2 = "";
	private String sendDepartment = "";//列头-发文部门/来文部门
	private String sendDepartment2 = "";
	private String sendDepartmentId = "";
	private String sendDepartmentId2 = "";
	private String backFromName = "";//列头-回退人名字
	private String memberName = "";//列头-处理人名字
	
	//affair开头表示从ctp_affair中取的数据
	private Long affairId;
	private Integer affairState;
	private Integer affairSubState;//列头-状态(待发)/列头-处理状态(待办)
	private Integer affairTrack;//列头-是否跟踪
	private Long affairMemberId;
	private Long affairTransactorId;
	private String affairNodePolicy;
	private String affairIdentifier;
	private Long affairObjectId;
	private Long affairSubObjectId;
	private Long affairActivityId;
	private Long affairArchiveId;
	private String affairSubject;
	private String affairForwardMember;
	private Long affairBackFromId;
	private Integer affairApp;
	private Integer affairSubApp;
	private Boolean affairFinish;

	private Integer affairHastenTimes = 0;
	private Boolean affairIsCoverTime;
	private Long affairRemindDate;
	private Long affairDeadlineDate;
	private String affairDeadLineName;//列头-处理期限（节点期限）
	private Date affairReceiveTime;
	private Date affairCompleteTime;//列头-处理时间
	private Date affairCreateDate;
	private Date affairUpdateDate;
	private Date affairExpectedProcessTime;//列头-剩余处理时间
	private Long affairPreApprover;
	private Long affairSenderId;	// 列头-发起人
	/** 办理剩余时间（=处理期限（自然日）-（现在的日-收到待办日-非工作日）） */
	private int[] surplusTime;//列头-办理剩余时间
	
	//回退列表需要展示的数据
	private String backOpinion;
	private Long exchangeDetailId;
	private String exchangeSendUnitName;
	private String exchangeRecUnitName;
	
	//待发送列表需要显示的数据
	private String preUserName;
	private String preNodePolicyName;
	private String preTime;
	private String currentNodePolicyName;
	
	//是否有附件
    private Boolean hasAtt = false;
    
    //是否代理
    private Boolean proxy = false;

    //代理人
    private String  proxyName;
    //被代理人自己处理
    private Boolean agentDeal = false;
    //领导批示编号展示字段
    private String leaderCommondNo;
    //公文来源 chenyq 20180821
    private Integer fromType;
    
     // 是否自动发起
    private Boolean autoRun = false;
    private Long proxyMemberId;
    private Long transactorId;

	//James.Yang 20191114
	private String competeTransactor; //列头-已办所属人
	private String competeDoneType;  //公文交换用,控制
	private String competeTransactorId;//已办归属人ID
	
	//list扩展字段
	private String list1;
	private String list2;
	private String list3;
	private String list4;
	private String list5;
	private String list6;
	private String list7;
	private String list8;
	private String list9;
	private String list10;
	private String list11;
	private String list12;
	private String list13;
	private String list14;
	private String list15;
	private String list16;
	private String list17;
	private String list18;
	private String list19;
	private String list20;
	//公文查询支持查询系统自定义元素
	private Long summaryExtId;
	private Long summaryExtSummaryId;
	private Integer summaryExtAppType;
	private String string1;
	private String string2;
	private String string3;
	private String string4;
	private String string5;
	private String string6;
	private String string7;
	private String string8;
	private String string9;
	private String string10;
	private String string11;
	private String string12;
	private String string13;
	private String string14;
	private String string15;
	private String string16;
	private String string17;
	private String string18;
	private String string19;
	private String string20;
	private String string21;
	private String string22;
	private String string23;
	private String string24;
	private String string25;
	private String string26;
	private String string27;
	private String string28;
	private String string29;
	private String string30;
	private Integer integer1;
	private Integer integer2;
	private Integer integer3;
	private Integer integer4;
	private Integer integer5;
	private Integer integer6;
	private Integer integer7;
	private Integer integer8;
	private Integer integer9;
	private Integer integer10;
	private Integer integer11;
	private Integer integer12;
	private Integer integer13;
	private Integer integer14;
	private Integer integer15;
	private Integer integer16;
	private Integer integer17;
	private Integer integer18;
	private Integer integer19;
	private Integer integer20;
	private Long decimal1;
	private Long decimal2;
	private Long decimal3;
	private Long decimal4;
	private Long decimal5;
	private Long decimal6;
	private Long decimal7;
	private Long decimal8;
	private Long decimal9;
	private Long decimal10;
	private Long decimal11;
	private Long decimal12;
	private Long decimal13;
	private Long decimal14;
	private Long decimal15;
	private Long decimal16;
	private Long decimal17;
	private Long decimal18;
	private Long decimal19;
	private Long decimal20;
	private Date date1;
	private Date date2;
	private Date date3;
	private Date date4;
	private Date date5;
	private Date date6;
	private Date date7;
	private Date date8;
	private Date date9;
	private Date date10;
	private Date date11;
	private Date date12;
	private Date date13;
	private Date date14;
	private Date date15;
	private Date date16;
	private Date date17;
	private Date date18;
	private Date date19;
	private Date date20;
	private String text1;
	private String text2;
	private String text3;
	private String text4;
	private String text5;
	private String text6;
	private String text7;
	private String text8;
	private String text9;
	private String text10;
	private String text11;
	private String text12;
	private String text13;
	private String text14;
	private String text15;
	
	
	
    /**
     * 公文待办/已办/已发/待发列表/公文查询数据回填
     * @param object
     * @param hasDeduplication 是否包括Clob字段
     */
	public int toObject(Object[] object, boolean hasDeduplication) {
        int n = 0;
        this.setSummaryId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setSubject((String)object[n++]);
        this.setIdentifier((String)object[n++]);
        this.setGovdocType(object[n] == null ? null : ((Number) object[n]).intValue());
        n++;
        this.setSummaryState(object[n] == null ? null : ((Number) object[n]).intValue());
        n++;
        this.setIsQuickSend((Boolean)object[n++]);
        this.setTempleteId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setArchiveId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setProcessId((String)object[n++]);
        this.setCaseId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setStartUserId(object[n] == null ? null : ((Number) object[n]).longValue());//11
        n++;
        this.setStartTime((Timestamp)object[n++]);
        this.setCreateTime((Timestamp)object[n++]);
        this.setStartTime(this.getCreateTime());//兼容文单中有拟稿日期，start_time存的格式为2019-02-19 00:00:00
        this.setCompleteTime((Timestamp)object[n++]);
		this.setPackTime((Timestamp)object[n++]);//分送日期
        this.setSummaryDeadline(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setSummaryDeadlineDatetime((Date)object[n++]);
        this.setSummaryIsCoverTime((Boolean)object[n++]);
        this.setDocMark((String)object[n++]);
        this.setSerialNo((String)object[n++]);
        this.setSignMark((String)object[n++]);
        this.setDocType((String)object[n++]);//21
        this.setSendType((String)object[n++]);
        this.setSecretLevel((String)object[n++]);
        this.setUrgentLevel((String)object[n++]);
        this.setUnitLevel((String)object[n++]);
        this.setKeepPeriod(object[n] == null ? null : ((Number) object[n]).intValue());
        n++;
        this.setCopies(object[n] == null ? null : ((Number) object[n]).intValue());
        n++;
        this.setIssuer((String)object[n++]);
        this.setSigningDate((Date)object[n++]);
        this.setCreatePerson((String)object[n++]);
        this.setPrinter((String)object[n++]);//31
        this.setPhone((String)object[n++]);
        this.setOrgAccountId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setExchangeSendAffairId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setUndertaker((String)object[n++]);
        this.setUndertakenoffice((String)object[n++]);
        String bodyType = (String)object[n++];
        if(Strings.isNotBlank(bodyType)) {
        	this.setContentType(GovdocUtil.getContentType(bodyType));
        }
        this.setHasArchive((Boolean)object[n++]);
        //增加签收时间和登记时间
        this.setSignPerson((String)object[n++]);
        this.setReceiptDate((Date)object[n++]);
        this.setRegistrationDate((Date)object[n++]);
        this.setFromType(object[n] == null ? null : ((Number) object[n]).intValue());
        n++;
        Object autoRun = object[n++];
        if(null != autoRun 
        		&& (((Number) autoRun).intValue() == EdocConstant.NewflowType.child.ordinal()
        		|| ((Number) autoRun).intValue() == EdocConstant.NewflowType.auto.ordinal())){
            this.setAutoRun(true);
        }
        //公文主表大字段
    	this.setCurrentNodesInfo((String)object[n++]);//41
    	this.setSendTo((String)object[n++]);
    	this.setCopyTo((String)object[n++]);
    	this.setReportTo((String)object[n++]);
    	this.setPrintUnit((String)object[n++]);
    	this.setSendUnit((String)object[n++]);
    	this.setSendDepartment((String)object[n++]);
    	//Affair表字段
        this.setAffairId(object[n] == null ? null : ((Number) object[n]).longValue()); 
        n++;
        this.setAffairIdentifier((String)object[n++]);
        this.setAffairSubject((String)object[n++]);
        this.setAffairApp(object[n] == null ? null : ((Number) object[n]).intValue());
        n++;
        Object o = object[n++];
        if(null != o){
        	 this.setAffairSubApp(((Number) o).intValue());
        }
        this.setAffairState(object[n] == null ? null : ((Number) object[n]).intValue());
        n++;
        this.setAffairSubState(object[n] == null ? null : ((Number) object[n]).intValue());
        n++;
        o = object[n++];
        if(null != o){
        	this.setAffairFinish((Boolean)o);
        }
        this.setAffairObjectId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setAffairSubObjectId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setAffairActivityId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setAffairNodePolicy((String)object[n++]);
        this.setAffairMemberId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setAffairTransactorId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setAffairHastenTimes(object[n] == null ? null : ((Number) object[n]).intValue());
        n++;
        this.setAffairIsCoverTime((Boolean)object[n++]);
        this.setAffairRemindDate(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setAffairDeadlineDate(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setAffairReceiveTime((Date)object[n++]);
        this.setAffairCompleteTime((Date)object[n++]);
        this.setAffairCreateDate((Date)object[n++]);
        this.setAffairUpdateDate((Date)object[n++]);
        this.setAffairExpectedProcessTime((Date)object[n++]);
        //客开 项目名称： [修改功能：解决公文回退后，紧急程度图标丢失！] 作者：fzc 修改日期：2018-5-9 start
        n++;
        if (Strings.isNotEmpty(this.getUrgentLevel())) {
            this.setImportantLevel(Integer.valueOf(this.getUrgentLevel()));//importantLevel
        }else{
            this.setImportantLevel(1);//importantLevel
        }
        //客开 项目名称： [修改功能：解决公文回退后，紧急程度图标丢失！] 作者：fzc 修改日期：2018-5-9 end
        this.setAffairArchiveId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setAffairTrack(object[n] == null ? null : ((Number) object[n]).intValue());
        n++;
        this.setAffairBackFromId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setAffairPreApprover(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setProxyMemberId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setTransactorId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setAffairSenderId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
//        if(this.getExchangeSendAffairId()!=null&&this.getExchangeSendAffairId()!=-1){
//        	this.setExchangeSendAffairId(this.getAffairId());
//        }
        /*** bug OA-192165 中数据显示不一致问题 start ****/
        // 以affair里面的发起人为准
        if(this.getAffairSenderId() != null && this.getAffairSenderId() != -1) {
        	String memberName = Functions.showMemberName(this.getAffairSenderId());
        	this.setStartUserName(memberName);
        	this.setStartUserId(this.getAffairSenderId());
        }
        
        // 处理时间,与栏目保持一致已办没有处理时间时用接收时间
        if(this.getAffairCompleteTime() == null && 
        		StateEnum.col_done.getKey() == this.getAffairState()) {
        	this.setAffairCompleteTime(this.getAffairReceiveTime());
        }
        
        // 发起时间
        if(this.getAffairCreateDate() != null) {
        	this.setStartTime(getTimestamp(this.getAffairCreateDate()));
        }
        /*** bug OA-192165 中数据显示不一致问题 end ****/
        
        return n;
    }

	public Timestamp getTimestamp(Date date) {
		String completeTimeStr = DateUtil.formatDateTime(date);
		try {
			return DateUtil.parseTimestamp(completeTimeStr);
		} catch (ParseException e) {
			// 转换错误直接忽略
		}
		return null;
	}
	
	/**
	 * 公文登记簿
	 * @param object
	 */
	public int toRegister(Object[] object) {
        int n = 0;
        this.setSummaryId((Long)object[n++]);
        this.setSubject((String)object[n++]);
        this.setIdentifier((String)object[n++]);
        this.setGovdocType((Integer)object[n++]);
        this.setEdocType((Integer)object[n++]);
        this.setSummaryState((Integer)object[n++]);
        this.setSummaryTransferStatus((Integer)object[n++]);
        this.setSendType((String)object[n++]);
        this.setDocType((String)object[n++]);
        this.setUnitLevel((String)object[n++]);//10
        this.setUrgentLevel((String)object[n++]);
        this.setSecretLevel((String)object[n++]);
        this.setEdocSecretLevel((Integer)object[n++]);
        this.setKeepPeriod((Integer)object[n++]);
        this.setCreateTime((Timestamp)object[n++]);
        this.setCompleteTime((Timestamp)object[n++]);
        this.setPackTime((Timestamp)object[n++]);
        this.setReceiptDate((Date)object[n++]);
        this.setRegistrationDate((Date)object[n++]);
        this.setStartTime((Timestamp)object[n++]);//20
        this.setStartUserId((Long)object[n++]);
        this.setOrgAccountId((Long)object[n++]);
        this.setOrgDepartmentId((Long)object[n++]);
        this.setDocMark((String)object[n++]);
        this.setDocMark2((String)object[n++]);
        this.setSerialNo((String)object[n++]);
        this.setCopies((Integer)object[n++]);
        this.setCopies2((Integer)object[n++]);
        this.setCreatePerson((String)object[n++]);//30
        this.setReview((String)object[n++]);
        this.setIssuer((String)object[n++]);
        this.setSignPerson((String)object[n++]);
        this.setSigningDate((Date)object[n++]);
        String bodyType = (String)object[n++];
        if(Strings.isNotBlank(bodyType)) {
        	this.setContentType(GovdocUtil.getContentType(bodyType));
        }
        this.setUndertaker((String)object[n++]);
        this.setExchangeSendAffairId((Long)object[n++]);
        return n;
	}
	
	/**
	 * 公文扩展表自定义元素
	 * @param object
	 */
	public int toSummaryExtendObject(Object[] object, int n) {
        this.setSummaryExtId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setSummaryExtSummaryId(object[n] == null ? null : ((Number) object[n]).longValue());
        n++;
        this.setSummaryExtAppType(object[n] == null ? null : ((Number) object[n]).intValue());
        n++;
        this.setString1((String)object[n++]);
        this.setString2((String)object[n++]);
        this.setString3((String)object[n++]);
        this.setString4((String)object[n++]);
        this.setString5((String)object[n++]);
        this.setString6((String)object[n++]);
        this.setString7((String)object[n++]);
        this.setString8((String)object[n++]);
        this.setString9((String)object[n++]);
        this.setString10((String)object[n++]);
        this.setString11((String)object[n++]);
        this.setString12((String)object[n++]);
        this.setString13((String)object[n++]);
        this.setString14((String)object[n++]);
        this.setString15((String)object[n++]);
        this.setString16((String)object[n++]);
        this.setString17((String)object[n++]);
        this.setString18((String)object[n++]);
        this.setString19((String)object[n++]);
        this.setString20((String)object[n++]);
        this.setString21((String)object[n++]);
        this.setString22((String)object[n++]);
        this.setString23((String)object[n++]);
        this.setString24((String)object[n++]);
        this.setString25((String)object[n++]);
        this.setString26((String)object[n++]);
        this.setString27((String)object[n++]);
        this.setString28((String)object[n++]);
        this.setString29((String)object[n++]);
        this.setString30((String)object[n++]);
        this.setInteger1(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger2(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger3(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger4(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger5(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger6(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger7(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger8(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger9(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger10(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger11(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger12(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger13(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger14(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger15(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger16(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger17(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger18(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger19(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setInteger20(object[n] == null ? 0 : ((Number) object[n]).intValue());
        n++;
        this.setDecimal1(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal2(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal3(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal4(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal5(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal6(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal7(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal8(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal9(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal10(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal11(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal12(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal13(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal14(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal15(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal16(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal17(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal18(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal19(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDecimal20(object[n] == null ? 0 : ((Number) object[n]).longValue());
        n++;
        this.setDate1((Date)object[n++]);
        this.setDate2((Date)object[n++]);
        this.setDate3((Date)object[n++]);
        this.setDate4((Date)object[n++]);
        this.setDate5((Date)object[n++]);
        this.setDate6((Date)object[n++]);
        this.setDate7((Date)object[n++]);
        this.setDate8((Date)object[n++]);
        this.setDate9((Date)object[n++]);
        this.setDate10((Date)object[n++]);
        this.setDate11((Date)object[n++]);
        this.setDate12((Date)object[n++]);
        this.setDate13((Date)object[n++]);
        this.setDate14((Date)object[n++]);
        this.setDate15((Date)object[n++]);
        this.setDate16((Date)object[n++]);
        this.setDate17((Date)object[n++]);
        this.setDate18((Date)object[n++]);
        this.setDate19((Date)object[n++]);
        this.setDate20((Date)object[n++]);
        this.setList1((String)object[n++]);
        this.setList2((String)object[n++]);
        this.setList3((String)object[n++]);
        this.setList4((String)object[n++]);
        this.setList5((String)object[n++]);
        this.setList6((String)object[n++]);
        this.setList7((String)object[n++]);
        this.setList8((String)object[n++]);
        this.setList9((String)object[n++]);
        this.setList10((String)object[n++]);
        this.setList11((String)object[n++]);
        this.setList12((String)object[n++]);
        this.setList13((String)object[n++]);
        this.setList14((String)object[n++]);
        this.setList15((String)object[n++]);
        this.setList16((String)object[n++]);
        this.setList17((String)object[n++]);
        this.setList18((String)object[n++]);
        this.setList19((String)object[n++]);
        this.setList20((String)object[n++]);
        this.setText1((String)object[n++]);
        this.setText2((String)object[n++]);
        this.setText3((String)object[n++]);
        this.setText4((String)object[n++]);
        this.setText5((String)object[n++]);
        this.setText6((String)object[n++]);
        this.setText7((String)object[n++]);
        this.setText8((String)object[n++]);
        this.setText9((String)object[n++]);
        this.setText10((String)object[n++]);
        this.setText11((String)object[n++]);
        this.setText12((String)object[n++]);
        this.setText13((String)object[n++]);
        this.setText14((String)object[n++]);
        this.setText15((String)object[n++]);
        return n;
	}
	
	//收文增加收文编号显示
	public int toRecRegisterAdd(Object[] object, int n) {
		n++;//跳过id
		this.setSignMark((String)object[n++]);
		return n;
	}
	
	/**
	 * 公文登记簿clob字段单独获取(暂无用)
	 * @param object
	 */
	public int toRegisterClob(Object[] object, int n) {
		this.setSendTo((String)object[n++]);
		this.setSendTo2((String)object[n++]);
		this.setSendToId((String)object[n++]);
		this.setSendToId2((String)object[n++]);
		
		this.setCopyTo((String)object[n++]);
		this.setCopyTo2((String)object[n++]);
		this.setCopyToId((String)object[n++]);
		this.setCopyToId2((String)object[n++]);
		
		this.setReportTo((String)object[n++]);
		this.setReportTo2((String)object[n++]);
		this.setReportToId((String)object[n++]);
		this.setReportToId2((String)object[n++]);
		
		this.setSendUnit((String)object[n++]);
		this.setSendUnitId((String)object[n++]);
		this.setSendUnit2((String)object[n++]);
		this.setSendUnitId2((String)object[n++]);
		
		this.setSendDepartment((String)object[n++]);
		this.setSendDepartmentId((String)object[n++]);
		this.setSendDepartment2((String)object[n++]);
		this.setSendDepartmentId2((String)object[n++]);

		this.setCurrentNodesInfo((String)object[n++]);
		
		this.setPrintUnit((String)object[n++]);
        this.setPrinter((String)object[n++]);
        this.setAuditor((String)object[n++]);
        this.setUndertakenoffice((String)object[n++]);
        
		
        this.setHasArchive((Boolean)object[n++]);
        this.setPhone((String)object[n++]);
        
        
		return n;
	}
	
	public void toExchangeFallback(Object[] object) {
		int i = 0;
		this.setSummaryId((Long) object[i++]);
		this.setDocMark((String) object[i++]);
		this.setCompleteTime((Timestamp)object[i++]);
		this.setSubject((String) object[i++]);
		this.setBackOpinion((String) object[i++]);
		this.setOrgAccountId((Long)object[i++]);
		this.setSendUnit((String) object[i++]);
		this.setExchangeRecUnitName((String) object[i++]);
	}
	public void toReturnedExchangeFallback(Object[] object) {
		int i = 0;
		this.setSummaryId((Long) object[i++]);
		this.setDocMark((String) object[i++]);
		this.setSubject((String) object[i++]);
		this.setSendUnit((String) object[i++]);
		this.setExchangeRecUnitName((String) object[i++]);
		this.setBackOpinion((String) object[i++]);
		this.setCompleteTime((Timestamp)object[i++]);
	}
	
	public void toExchangeSignDone(Object[] object) {
		int i = 0;
		this.setSummaryId((Long) object[i++]);
		this.setIdentifier((String) object[i++]);
		String bodyType = (String) object[i++];
		if (Strings.isNotBlank(bodyType)) {
			this.setContentType(GovdocUtil.getContentType(bodyType));
		}
		this.setAffairId((Long) object[i++]);
		this.setSubject((String) object[i++]);
		this.setDocMark((String) object[i++]);
        this.setSummaryState((Integer)object[i++]);
        this.setAffairApp((Integer)object[i++]);
		this.setOrgAccountId((Long)object[i++]);
		this.setSignPerson((String) object[i++]);
		this.setReceiptDate((Date)object[i++]);
		this.setSendUnit((String) object[i++]);
	}
	
	public void toExObject(Object[] object) {
		int i = 0;
		this.setSummaryId((Long) object[i++]);
		this.setOrgAccountId((Long)object[i++]);
		this.setSendUnit((String) object[i++]);
		this.setSignPerson((String) object[i++]);
		this.setExchangeRecUnitName((String) object[i++]);
		this.setReceiptDate((Date)object[i++]);
		this.setSigningDate((Date)object[i++]);
	}
	
	public void toOldExObject(Object[] object) {
		int i = 0;
		this.setSummaryId((Long) object[i++]);
		this.setSendUnit((String) object[i++]);
		this.setExchangeRecUnitName((String) object[i++]);
		this.setSignPerson(GovdocOrgHelper.getMemberNameById((Long) object[i++]));
		this.setReceiptDate((Date) object[i++]);
	}

    public String getSummaryTransferStatusName() {
        return summaryTransferStatusName;
    }

    public void setSummaryTransferStatusName(String summaryTransferStatusName) {
        this.summaryTransferStatusName = summaryTransferStatusName;
    }

    public Long getSummaryId() {
		return summaryId;
	}

	public void setSummaryId(Long summaryId) {
		this.summaryId = summaryId;
	}

	public String getIdentifier() {
		return identifier;
	}

	public void setIdentifier(String identifier) {
		this.identifier = identifier;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public Integer getImportantLevel() {
		return importantLevel;
	}

	public void setImportantLevel(Integer importantLevel) {
		this.importantLevel = importantLevel;
	}

	public Long getStartUserId() {
		return startUserId;
	}

	public void setStartUserId(Long startUserId) {
		this.startUserId = startUserId;
	}

	public String getStartUserName() {
		return startUserName;
	}

	public void setStartUserName(String startUserName) {
		this.startUserName = startUserName;
	}

	public String getCreatePerson() {
		return createPerson;
	}

	public void setCreatePerson(String createPerson) {
		this.createPerson = createPerson;
	}

	public Date getRegisterDate() {
		return registerDate;
	}

	public void setRegisterDate(Date registerDate) {
		this.registerDate = registerDate;
	}

	public String getIssuer() {
		return issuer;
	}

	public void setIssuer(String issuer) {
		this.issuer = issuer;
	}

	public Date getSigningDate() {
		return signingDate;
	}

	public void setSigningDate(Date signingDate) {
		this.signingDate = signingDate;
	}

	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public Timestamp getStartTime() {
		return startTime;
	}

	public void setStartTime(Timestamp startTime) {
		this.startTime = startTime;
	}

	public Timestamp getCompleteTime() {
		return completeTime;
	}

	public void setCompleteTime(Timestamp completeTime) {
		this.completeTime = completeTime;
	}

	public Long getSummaryDeadline() {
		return summaryDeadline;
	}

	public void setSummaryDeadline(Long summaryDeadline) {
		this.summaryDeadline = summaryDeadline;
	}

	public Date getSummaryDeadlineDatetime() {
		return summaryDeadlineDatetime;
	}

	public void setSummaryDeadlineDatetime(Date summaryDeadlineDatetime) {
		this.summaryDeadlineDatetime = summaryDeadlineDatetime;
	}

	public String getSummaryDeadLineName() {
		return summaryDeadLineName;
	}

	public void setSummaryDeadLineName(String summaryDeadLineName) {
		this.summaryDeadLineName = summaryDeadLineName;
	}

	public Boolean getSummaryIsCoverTime() {
		return summaryIsCoverTime;
	}

	public void setSummaryIsCoverTime(Boolean summaryIsCoverTime) {
		this.summaryIsCoverTime = summaryIsCoverTime;
	}

	public Integer getSummaryState() {
		return summaryState;
	}

	public void setSummaryState(Integer summaryState) {
		this.summaryState = summaryState;
	}

	public Integer getSummaryTransferStatus() {
		return summaryTransferStatus;
	}

	public void setSummaryTransferStatus(Integer summaryTransferStatus) {
		this.summaryTransferStatus = summaryTransferStatus;
	}

	public Long getOrgAccountId() {
		return orgAccountId;
	}

	public void setOrgAccountId(Long orgAccountId) {
		this.orgAccountId = orgAccountId;
	}

	public Long getOrgDepartmentId() {
		return orgDepartmentId;
	}

	public void setOrgDepartmentId(Long orgDepartmentId) {
		this.orgDepartmentId = orgDepartmentId;
	}

	public Boolean getIsQuickSend() {
		return isQuickSend;
	}

	public void setIsQuickSend(Boolean isQuickSend) {
		this.isQuickSend = isQuickSend;
	}

	public Long getCaseId() {
		return caseId;
	}

	public void setCaseId(Long caseId) {
		this.caseId = caseId;
	}

	public String getProcessId() {
		return processId;
	}

	public void setProcessId(String processId) {
		this.processId = processId;
	}

	public Long getTempleteId() {
		return templeteId;
	}

	public void setTempleteId(Long templeteId) {
		this.templeteId = templeteId;
	}

	public Boolean getHasArchive() {
		return hasArchive;
	}

	public void setHasArchive(Boolean hasArchive) {
		this.hasArchive = hasArchive;
	}

	public Long getArchiveId() {
		return archiveId;
	}

	public void setArchiveId(Long archiveId) {
		this.archiveId = archiveId;
	}

	public String getArchiveName() {
		return archiveName;
	}

	public void setArchiveName(String archiveName) {
		this.archiveName = archiveName;
	}

	public Integer getGovdocType() {
		return govdocType;
	}

	public void setGovdocType(Integer govdocType) {
		this.govdocType = govdocType;
	}

	public Integer getEdocType() {
		return edocType;
	}

	public void setEdocType(Integer edocType) {
		this.edocType = edocType;
	}

	public String getDocMark() {
		return docMark;
	}

	public void setDocMark(String docMark) {
		this.docMark = docMark;
	}

	public String getDocMark2() {
		return docMark2;
	}

	public void setDocMark2(String docMark2) {
		this.docMark2 = docMark2;
	}

	public String getSerialNo() {
		return serialNo;
	}

	public void setSerialNo(String serialNo) {
		this.serialNo = serialNo;
	}

	public Integer getHastenTimes() {
		return hastenTimes;
	}

	public void setHastenTimes(Integer hastenTimes) {
		this.hastenTimes = hastenTimes;
	}

	public Long getExchangeSendAffairId() {
		return exchangeSendAffairId;
	}

	public void setExchangeSendAffairId(Long exchangeSendAffairId) {
		this.exchangeSendAffairId = exchangeSendAffairId;
	}

	public String getCurrentNodesInfo() {
		return currentNodesInfo;
	}

	public void setCurrentNodesInfo(String currentNodesInfo) {
		this.currentNodesInfo = currentNodesInfo;
	}

	public String getSendUnit() {
		return sendUnit;
	}

	public void setSendUnit(String sendUnit) {
		this.sendUnit = sendUnit;
	}

	public String getSendDepartment() {
		return sendDepartment;
	}

	public void setSendDepartment(String sendDepartment) {
		this.sendDepartment = sendDepartment;
	}

	public String getSendTo() {
		return sendTo;
	}

	public void setSendTo(String sendTo) {
		this.sendTo = sendTo;
	}

	public String getSendTo2() {
		return sendTo2;
	}

	public void setSendTo2(String sendTo2) {
		this.sendTo2 = sendTo2;
	}

	public String getSendToId() {
		return sendToId;
	}

	public void setSendToId(String sendToId) {
		this.sendToId = sendToId;
	}

	public String getSendToId2() {
		return sendToId2;
	}

	public void setSendToId2(String sendToId2) {
		this.sendToId2 = sendToId2;
	}

	public String getCopyTo() {
		return copyTo;
	}

	public void setCopyTo(String copyTo) {
		this.copyTo = copyTo;
	}

	public String getCopyTo2() {
		return copyTo2;
	}

	public void setCopyTo2(String copyTo2) {
		this.copyTo2 = copyTo2;
	}

	public String getCopyToId() {
		return copyToId;
	}

	public void setCopyToId(String copyToId) {
		this.copyToId = copyToId;
	}

	public String getCopyToId2() {
		return copyToId2;
	}

	public void setCopyToId2(String copyToId2) {
		this.copyToId2 = copyToId2;
	}

	public String getReportTo() {
		return reportTo;
	}

	public void setReportTo(String reportTo) {
		this.reportTo = reportTo;
	}

	public String getReportTo2() {
		return reportTo2;
	}

	public void setReportTo2(String reportTo2) {
		this.reportTo2 = reportTo2;
	}

	public String getReportToId() {
		return reportToId;
	}

	public void setReportToId(String reportToId) {
		this.reportToId = reportToId;
	}

	public String getReportToId2() {
		return reportToId2;
	}

	public void setReportToId2(String reportToId2) {
		this.reportToId2 = reportToId2;
	}

	public String getSendUnit2() {
		return sendUnit2;
	}

	public void setSendUnit2(String sendUnit2) {
		this.sendUnit2 = sendUnit2;
	}

	public String getSendUnitId() {
		return sendUnitId;
	}

	public void setSendUnitId(String sendUnitId) {
		this.sendUnitId = sendUnitId;
	}

	public String getSendUnitId2() {
		return sendUnitId2;
	}

	public void setSendUnitId2(String sendUnitId2) {
		this.sendUnitId2 = sendUnitId2;
	}

	public String getSendDepartment2() {
		return sendDepartment2;
	}

	public void setSendDepartment2(String sendDepartment2) {
		this.sendDepartment2 = sendDepartment2;
	}

	public String getSendDepartmentId() {
		return sendDepartmentId;
	}

	public void setSendDepartmentId(String sendDepartmentId) {
		this.sendDepartmentId = sendDepartmentId;
	}

	public String getSendDepartmentId2() {
		return sendDepartmentId2;
	}

	public void setSendDepartmentId2(String sendDepartmentId2) {
		this.sendDepartmentId2 = sendDepartmentId2;
	}

	public String getPrintUnit() {
		return printUnit;
	}

	public void setPrintUnit(String printUnit) {
		this.printUnit = printUnit;
	}

	public String getPrinter() {
		return printer;
	}

	public void setPrinter(String printer) {
		this.printer = printer;
	}

	public Integer getCopies() {
		return copies;
	}

	public void setCopies(Integer copies) {
		this.copies = copies;
	}

	public Integer getCopies2() {
		return copies2;
	}

	public void setCopies2(Integer copies2) {
		this.copies2 = copies2;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getAuditor() {
		return auditor;
	}

	public void setAuditor(String auditor) {
		this.auditor = auditor;
	}

	public String getReview() {
		return review;
	}

	public void setReview(String review) {
		this.review = review;
	}

	public String getUndertaker() {
		return undertaker;
	}

	public void setUndertaker(String undertaker) {
		this.undertaker = undertaker;
	}

	public String getUndertakenoffice() {
		return undertakenoffice;
	}

	public void setUndertakenoffice(String undertakenoffice) {
		this.undertakenoffice = undertakenoffice;
	}

	public String getReceiveUnit() {
		return receiveUnit;
	}

	public void setReceiveUnit(String receiveUnit) {
		this.receiveUnit = receiveUnit;
	}

	public String getSignPerson() {
		return signPerson;
	}

	public void setSignPerson(String signPerson) {
		this.signPerson = signPerson;
	}

	public String getSignMark() {
		return signMark;
	}

	public void setSignMark(String signMark) {
		this.signMark = signMark;
	}

	public Date getPackTime() {
		return packTime;
	}

	public void setPackTime(Date packTime) {
		this.packTime = packTime;
	}

	public Date getReceiptDate() {
		return receiptDate;
	}

	public void setReceiptDate(Date receiptDate) {
		this.receiptDate = receiptDate;
	}

	public Date getRegistrationDate() {
		return registrationDate;
	}

	public void setRegistrationDate(Date registrationDate) {
		this.registrationDate = registrationDate;
	}

	public Integer getEdocSecretLevel() {
		return edocSecretLevel;
	}

	public void setEdocSecretLevel(Integer edocSecretLevel) {
		this.edocSecretLevel = edocSecretLevel;
	}

	public String getSecretLevel() {
		if("0".equals(this.secretLevel)) {
			return null;
		}
		return secretLevel;
	}

	public void setSecretLevel(String secretLevel) {
		this.secretLevel = secretLevel;
	}

	public String getUrgentLevel() {
		return urgentLevel;
	}

	public void setUrgentLevel(String urgentLevel) {
		this.urgentLevel = urgentLevel;
	}

	public String getUnitLevel() {
		return unitLevel;
	}

	public void setUnitLevel(String unitLevel) {
		this.unitLevel = unitLevel;
	}

	public Integer getKeepPeriod() {
		return keepPeriod;
	}

	public void setKeepPeriod(Integer keepPeriod) {
		this.keepPeriod = keepPeriod;
	}

	public String getDocType() {
		return docType;
	}

	public void setDocType(String docType) {
		this.docType = docType;
	}

	public String getSendType() {
		return sendType;
	}

	public void setSendType(String sendType) {
		this.sendType = sendType;
	}

	public Long getAffairId() {
		return affairId;
	}

	public void setAffairId(Long affairId) {
		this.affairId = affairId;
	}

	public Integer getAffairState() {
		return affairState;
	}

	public void setAffairState(Integer affairState) {
		this.affairState = affairState;
	}

	public Integer getAffairSubState() {
		return affairSubState;
	}

	public void setAffairSubState(Integer affairSubState) {
		this.affairSubState = affairSubState;
	}

	public Integer getAffairTrack() {
		return affairTrack;
	}

	public void setAffairTrack(Integer affairTrack) {
		this.affairTrack = affairTrack;
	}

	public Long getAffairMemberId() {
		return affairMemberId;
	}

	public void setAffairMemberId(Long affairMemberId) {
		this.affairMemberId = affairMemberId;
	}

	public Long getAffairTransactorId() {
		return affairTransactorId;
	}

	public void setAffairTransactorId(Long affairTransactorId) {
		this.affairTransactorId = affairTransactorId;
	}

	public String getAffairNodePolicy() {
		return affairNodePolicy;
	}

	public void setAffairNodePolicy(String affairNodePolicy) {
		this.affairNodePolicy = affairNodePolicy;
	}

	public String getAffairIdentifier() {
		return affairIdentifier;
	}

	public void setAffairIdentifier(String affairIdentifier) {
		this.affairIdentifier = affairIdentifier;
	}

	public Long getAffairObjectId() {
		return affairObjectId;
	}

	public void setAffairObjectId(Long affairObjectId) {
		this.affairObjectId = affairObjectId;
	}

	public Long getAffairSubObjectId() {
		return affairSubObjectId;
	}

	public void setAffairSubObjectId(Long affairSubObjectId) {
		this.affairSubObjectId = affairSubObjectId;
	}

	public Long getAffairActivityId() {
		return affairActivityId;
	}

	public void setAffairActivityId(Long affairActivityId) {
		this.affairActivityId = affairActivityId;
	}

	public Long getAffairArchiveId() {
		return affairArchiveId;
	}

	public void setAffairArchiveId(Long affairArchiveId) {
		this.affairArchiveId = affairArchiveId;
	}

	public String getAffairSubject() {
		return affairSubject;
	}

	public void setAffairSubject(String affairSubject) {
		this.affairSubject = affairSubject;
	}

	public String getAffairForwardMember() {
		return affairForwardMember;
	}

	public void setAffairForwardMember(String affairForwardMember) {
		this.affairForwardMember = affairForwardMember;
	}

	public Long getAffairBackFromId() {
		return affairBackFromId;
	}

	public void setAffairBackFromId(Long affairBackFromId) {
		this.affairBackFromId = affairBackFromId;
	}

	public Integer getAffairApp() {
		return affairApp;
	}

	public void setAffairApp(Integer affairApp) {
		this.affairApp = affairApp;
	}

	public Integer getAffairSubApp() {
		return affairSubApp;
	}

	public void setAffairSubApp(Integer affairSubApp) {
		this.affairSubApp = affairSubApp;
	}

	public Boolean getAffairFinish() {
		return affairFinish;
	}

	public void setAffairFinish(Boolean affairFinish) {
		this.affairFinish = affairFinish;
	}

	public Integer getAffairHastenTimes() {
		return affairHastenTimes;
	}

	public void setAffairHastenTimes(Integer affairHastenTimes) {
		this.affairHastenTimes = affairHastenTimes;
	}

	public Boolean getAffairIsCoverTime() {
		return affairIsCoverTime;
	}

	public void setAffairIsCoverTime(Boolean affairIsCoverTime) {
		this.affairIsCoverTime = affairIsCoverTime;
	}

	public Long getAffairRemindDate() {
		return affairRemindDate;
	}

	public void setAffairRemindDate(Long affairRemindDate) {
		this.affairRemindDate = affairRemindDate;
	}

	public Long getAffairDeadlineDate() {
		return affairDeadlineDate;
	}

	public void setAffairDeadlineDate(Long affairDeadlineDate) {
		this.affairDeadlineDate = affairDeadlineDate;
	}

	public String getAffairDeadLineName() {
		return affairDeadLineName;
	}

	public void setAffairDeadLineName(String affairDeadLineName) {
		this.affairDeadLineName = affairDeadLineName;
	}

	public Date getAffairReceiveTime() {
		return affairReceiveTime;
	}

	public void setAffairReceiveTime(Date affairReceiveTime) {
		this.affairReceiveTime = affairReceiveTime;
	}

	public Date getAffairCompleteTime() {
		return affairCompleteTime;
	}

	public void setAffairCompleteTime(Date affairCompleteTime) {
		this.affairCompleteTime = affairCompleteTime;
	}

	public Date getAffairCreateDate() {
		return affairCreateDate;
	}

	public void setAffairCreateDate(Date affairCreateDate) {
		this.affairCreateDate = affairCreateDate;
	}

	public Date getAffairUpdateDate() {
		return affairUpdateDate;
	}

	public void setAffairUpdateDate(Date affairUpdateDate) {
		this.affairUpdateDate = affairUpdateDate;
	}

	public Date getAffairExpectedProcessTime() {
		return affairExpectedProcessTime;
	}

	public void setAffairExpectedProcessTime(Date affairExpectedProcessTime) {
		this.affairExpectedProcessTime = affairExpectedProcessTime;
	}

	public int[] getSurplusTime() {
		return surplusTime;
	}

	public void setSurplusTime(int[] surplusTime) {
		this.surplusTime = surplusTime;
	}

	public Boolean getHasAtt() {
		return hasAtt;
	}

	public void setHasAtt(Boolean hasAtt) {
		this.hasAtt = hasAtt;
	}

	public String getHasArchiveTxt() {
		return hasArchiveTxt;
	}

	public void setHasArchiveTxt(String hasArchiveTxt) {
		this.hasArchiveTxt = hasArchiveTxt;
	}

	public String getKeepPeriodTxt() {
		return keepPeriodTxt;
	}

	public void setKeepPeriodTxt(String keepPeriodTxt) {
		this.keepPeriodTxt = keepPeriodTxt;
	}

	public Boolean getProxy() {
		return proxy;
	}

	public void setProxy(Boolean proxy) {
		this.proxy = proxy;
	}

	public String getProxyName() {
		return proxyName;
	}

	public void setProxyName(String proxyName) {
		this.proxyName = proxyName;
	}

	public Boolean getAgentDeal() {
		return agentDeal;
	}

	public void setAgentDeal(Boolean agentDeal) {
		this.agentDeal = agentDeal;
	}

	public Integer getContentType() {
		return contentType;
	}

	public void setContentType(Integer contentType) {
		this.contentType = contentType;
	}

	public String getBackOpinion() {
		return backOpinion;
	}

	public void setBackOpinion(String backOpinion) {
		this.backOpinion = backOpinion;
	}

	public String getExchangeSendUnitName() {
		return exchangeSendUnitName;
	}

	public void setExchangeSendUnitName(String exchangeSendUnitName) {
		this.exchangeSendUnitName = exchangeSendUnitName;
	}

	public String getExchangeRecUnitName() {
		return exchangeRecUnitName;
	}

	public void setExchangeRecUnitName(String exchangeRecUnitName) {
		this.exchangeRecUnitName = exchangeRecUnitName;
	}

	public Long getExchangeDetailId() {
		return exchangeDetailId;
	}

	public void setExchangeDetailId(Long exchangeDetailId) {
		this.exchangeDetailId = exchangeDetailId;
	}

	public String getPreUserName() {
		return preUserName;
	}

	public void setPreUserName(String preUserName) {
		this.preUserName = preUserName;
	}

	public String getPreNodePolicyName() {
		return preNodePolicyName;
	}

	public void setPreNodePolicyName(String preNodePolicyName) {
		this.preNodePolicyName = preNodePolicyName;
	}

	public String getPreTime() {
		return preTime;
	}

	public void setPreTime(String preTime) {
		this.preTime = preTime;
	}

	public String getCurrentNodePolicyName() {
		return currentNodePolicyName;
	}

	public void setCurrentNodePolicyName(String currentNodePolicyName) {
		this.currentNodePolicyName = currentNodePolicyName;
	}

	public String getLeaderCommondNo() {
		return leaderCommondNo;
	}

	public void setLeaderCommondNo(String leaderCommondNo) {
		this.leaderCommondNo = leaderCommondNo;
	}

	public Integer getFromType() {
		return fromType;
	}

	public void setFromType(Integer fromType) {
		this.fromType = fromType;
	}

	public Boolean getAutoRun() {
		return autoRun;
	}

	public void setAutoRun(Boolean autoRun) {
		this.autoRun = autoRun;
	}

	public Long getAffairPreApprover() {
		return affairPreApprover;
	}

	public void setAffairPreApprover(Long affairPreApprover) {
		this.affairPreApprover = affairPreApprover;
	}

	public Long getAffairSenderId() {
		return affairSenderId;
	}

	public void setAffairSenderId(Long affairSenderId) {
		this.affairSenderId = affairSenderId;
	}

	public Long getProxyMemberId() {
		return proxyMemberId;
	}

	public void setProxyMemberId(Long proxyMemberId) {
		this.proxyMemberId = proxyMemberId;
	}

	public Long getTransactorId() {
		return transactorId;
	}

	public void setTransactorId(Long transactorId) {
		this.transactorId = transactorId;
	}

	public String getCompeteTransactor() {
		return competeTransactor;
	}

	public void setCompeteTransactor(String competeTransactor) {
		this.competeTransactor = competeTransactor;
	}

	public String getCompeteDoneType() {
		return competeDoneType;
	}

	public void setCompeteDoneType(String competeDoneType) {
		this.competeDoneType = competeDoneType;
	}

	public String getCompeteTransactorId() {
		return competeTransactorId;
	}

	public void setCompeteTransactorId(String competeTransactorId) {
		this.competeTransactorId = competeTransactorId;
	}

	public String getBackFromName() {
		return backFromName;
	}

	public void setBackFromName(String backFromName) {
		this.backFromName = backFromName;
	}

	public String getMemberName() {
		return memberName;
	}

	public void setMemberName(String memberName) {
		this.memberName = memberName;
	}
	
	public String getString1() {
		return string1;
	}

	public void setString1(String string1) {
		this.string1 = string1;
	}

	public String getString2() {
		return string2;
	}

	public void setString2(String string2) {
		this.string2 = string2;
	}

	public String getString3() {
		return string3;
	}

	public void setString3(String string3) {
		this.string3 = string3;
	}

	public String getString4() {
		return string4;
	}

	public void setString4(String string4) {
		this.string4 = string4;
	}

	public String getString5() {
		return string5;
	}

	public void setString5(String string5) {
		this.string5 = string5;
	}

	public String getString6() {
		return string6;
	}

	public void setString6(String string6) {
		this.string6 = string6;
	}

	public String getString7() {
		return string7;
	}

	public void setString7(String string7) {
		this.string7 = string7;
	}

	public String getString8() {
		return string8;
	}

	public void setString8(String string8) {
		this.string8 = string8;
	}

	public String getString9() {
		return string9;
	}

	public void setString9(String string9) {
		this.string9 = string9;
	}

	public String getString10() {
		return string10;
	}

	public void setString10(String string10) {
		this.string10 = string10;
	}

	public String getString11() {
		return string11;
	}

	public void setString11(String string11) {
		this.string11 = string11;
	}

	public String getString12() {
		return string12;
	}

	public void setString12(String string12) {
		this.string12 = string12;
	}

	public String getString13() {
		return string13;
	}

	public void setString13(String string13) {
		this.string13 = string13;
	}

	public String getString14() {
		return string14;
	}

	public void setString14(String string14) {
		this.string14 = string14;
	}

	public String getString15() {
		return string15;
	}

	public void setString15(String string15) {
		this.string15 = string15;
	}

	public String getString16() {
		return string16;
	}

	public void setString16(String string16) {
		this.string16 = string16;
	}

	public String getString17() {
		return string17;
	}

	public void setString17(String string17) {
		this.string17 = string17;
	}

	public String getString18() {
		return string18;
	}

	public void setString18(String string18) {
		this.string18 = string18;
	}

	public String getString19() {
		return string19;
	}

	public void setString19(String string19) {
		this.string19 = string19;
	}

	public String getString20() {
		return string20;
	}

	public void setString20(String string20) {
		this.string20 = string20;
	}

	public String getString21() {
		return string21;
	}

	public void setString21(String string21) {
		this.string21 = string21;
	}

	public String getString22() {
		return string22;
	}

	public void setString22(String string22) {
		this.string22 = string22;
	}

	public String getString23() {
		return string23;
	}

	public void setString23(String string23) {
		this.string23 = string23;
	}

	public String getString24() {
		return string24;
	}

	public void setString24(String string24) {
		this.string24 = string24;
	}

	public String getString25() {
		return string25;
	}

	public void setString25(String string25) {
		this.string25 = string25;
	}

	public String getString26() {
		return string26;
	}

	public void setString26(String string26) {
		this.string26 = string26;
	}

	public String getString27() {
		return string27;
	}

	public void setString27(String string27) {
		this.string27 = string27;
	}

	public String getString28() {
		return string28;
	}

	public void setString28(String string28) {
		this.string28 = string28;
	}

	public String getString29() {
		return string29;
	}

	public void setString29(String string29) {
		this.string29 = string29;
	}

	public String getString30() {
		return string30;
	}

	public void setString30(String string30) {
		this.string30 = string30;
	}

	public Integer getInteger1() {
		return integer1;
	}

	public void setInteger1(Integer integer1) {
		this.integer1 = integer1;
	}

	public Integer getInteger2() {
		return integer2;
	}

	public void setInteger2(Integer integer2) {
		this.integer2 = integer2;
	}

	public Integer getInteger3() {
		return integer3;
	}

	public void setInteger3(Integer integer3) {
		this.integer3 = integer3;
	}

	public Integer getInteger4() {
		return integer4;
	}

	public void setInteger4(Integer integer4) {
		this.integer4 = integer4;
	}

	public Integer getInteger5() {
		return integer5;
	}

	public void setInteger5(Integer integer5) {
		this.integer5 = integer5;
	}

	public Integer getInteger6() {
		return integer6;
	}

	public void setInteger6(Integer integer6) {
		this.integer6 = integer6;
	}

	public Integer getInteger7() {
		return integer7;
	}

	public void setInteger7(Integer integer7) {
		this.integer7 = integer7;
	}

	public Integer getInteger8() {
		return integer8;
	}

	public void setInteger8(Integer integer8) {
		this.integer8 = integer8;
	}

	public Integer getInteger9() {
		return integer9;
	}

	public void setInteger9(Integer integer9) {
		this.integer9 = integer9;
	}

	public Integer getInteger10() {
		return integer10;
	}

	public void setInteger10(Integer integer10) {
		this.integer10 = integer10;
	}

	public Integer getInteger11() {
		return integer11;
	}

	public void setInteger11(Integer integer11) {
		this.integer11 = integer11;
	}

	public Integer getInteger12() {
		return integer12;
	}

	public void setInteger12(Integer integer12) {
		this.integer12 = integer12;
	}

	public Integer getInteger13() {
		return integer13;
	}

	public void setInteger13(Integer integer13) {
		this.integer13 = integer13;
	}

	public Integer getInteger14() {
		return integer14;
	}

	public void setInteger14(Integer integer14) {
		this.integer14 = integer14;
	}

	public Integer getInteger15() {
		return integer15;
	}

	public void setInteger15(Integer integer15) {
		this.integer15 = integer15;
	}

	public Integer getInteger16() {
		return integer16;
	}

	public void setInteger16(Integer integer16) {
		this.integer16 = integer16;
	}

	public Integer getInteger17() {
		return integer17;
	}

	public void setInteger17(Integer integer17) {
		this.integer17 = integer17;
	}

	public Integer getInteger18() {
		return integer18;
	}

	public void setInteger18(Integer integer18) {
		this.integer18 = integer18;
	}

	public Integer getInteger19() {
		return integer19;
	}

	public void setInteger19(Integer integer19) {
		this.integer19 = integer19;
	}

	public Integer getInteger20() {
		return integer20;
	}

	public void setInteger20(Integer integer20) {
		this.integer20 = integer20;
	}

	public Long getDecimal1() {
		return decimal1;
	}

	public void setDecimal1(Long decimal1) {
		this.decimal1 = decimal1;
	}

	public Long getDecimal2() {
		return decimal2;
	}

	public void setDecimal2(Long decimal2) {
		this.decimal2 = decimal2;
	}

	public Long getDecimal3() {
		return decimal3;
	}

	public void setDecimal3(Long decimal3) {
		this.decimal3 = decimal3;
	}

	public Long getDecimal4() {
		return decimal4;
	}

	public void setDecimal4(Long decimal4) {
		this.decimal4 = decimal4;
	}

	public Long getDecimal5() {
		return decimal5;
	}

	public void setDecimal5(Long decimal5) {
		this.decimal5 = decimal5;
	}

	public Long getDecimal6() {
		return decimal6;
	}

	public void setDecimal6(Long decimal6) {
		this.decimal6 = decimal6;
	}

	public Long getDecimal7() {
		return decimal7;
	}

	public void setDecimal7(Long decimal7) {
		this.decimal7 = decimal7;
	}

	public Long getDecimal8() {
		return decimal8;
	}

	public void setDecimal8(Long decimal8) {
		this.decimal8 = decimal8;
	}

	public Long getDecimal9() {
		return decimal9;
	}

	public void setDecimal9(Long decimal9) {
		this.decimal9 = decimal9;
	}

	public Long getDecimal10() {
		return decimal10;
	}

	public void setDecimal10(Long decimal10) {
		this.decimal10 = decimal10;
	}

	public Long getDecimal11() {
		return decimal11;
	}

	public void setDecimal11(Long decimal11) {
		this.decimal11 = decimal11;
	}

	public Long getDecimal12() {
		return decimal12;
	}

	public void setDecimal12(Long decimal12) {
		this.decimal12 = decimal12;
	}

	public Long getDecimal13() {
		return decimal13;
	}

	public void setDecimal13(Long decimal13) {
		this.decimal13 = decimal13;
	}

	public Long getDecimal14() {
		return decimal14;
	}

	public void setDecimal14(Long decimal14) {
		this.decimal14 = decimal14;
	}

	public Long getDecimal15() {
		return decimal15;
	}

	public void setDecimal15(Long decimal15) {
		this.decimal15 = decimal15;
	}

	public Long getDecimal16() {
		return decimal16;
	}

	public void setDecimal16(Long decimal16) {
		this.decimal16 = decimal16;
	}

	public Long getDecimal17() {
		return decimal17;
	}

	public void setDecimal17(Long decimal17) {
		this.decimal17 = decimal17;
	}

	public Long getDecimal18() {
		return decimal18;
	}

	public void setDecimal18(Long decimal18) {
		this.decimal18 = decimal18;
	}

	public Long getDecimal19() {
		return decimal19;
	}

	public void setDecimal19(Long decimal19) {
		this.decimal19 = decimal19;
	}

	public Long getDecimal20() {
		return decimal20;
	}

	public void setDecimal20(Long decimal20) {
		this.decimal20 = decimal20;
	}

	public Date getDate1() {
		return date1;
	}

	public void setDate1(Date date1) {
		this.date1 = date1;
	}

	public Date getDate2() {
		return date2;
	}

	public void setDate2(Date date2) {
		this.date2 = date2;
	}

	public Date getDate3() {
		return date3;
	}

	public void setDate3(Date date3) {
		this.date3 = date3;
	}

	public Date getDate4() {
		return date4;
	}

	public void setDate4(Date date4) {
		this.date4 = date4;
	}

	public Date getDate5() {
		return date5;
	}

	public void setDate5(Date date5) {
		this.date5 = date5;
	}

	public Date getDate6() {
		return date6;
	}

	public void setDate6(Date date6) {
		this.date6 = date6;
	}

	public Date getDate7() {
		return date7;
	}

	public void setDate7(Date date7) {
		this.date7 = date7;
	}

	public Date getDate8() {
		return date8;
	}

	public void setDate8(Date date8) {
		this.date8 = date8;
	}

	public Date getDate9() {
		return date9;
	}

	public void setDate9(Date date9) {
		this.date9 = date9;
	}

	public Date getDate10() {
		return date10;
	}

	public void setDate10(Date date10) {
		this.date10 = date10;
	}

	public Date getDate11() {
		return date11;
	}

	public void setDate11(Date date11) {
		this.date11 = date11;
	}

	public Date getDate12() {
		return date12;
	}

	public void setDate12(Date date12) {
		this.date12 = date12;
	}

	public Date getDate13() {
		return date13;
	}

	public void setDate13(Date date13) {
		this.date13 = date13;
	}

	public Date getDate14() {
		return date14;
	}

	public void setDate14(Date date14) {
		this.date14 = date14;
	}

	public Date getDate15() {
		return date15;
	}

	public void setDate15(Date date15) {
		this.date15 = date15;
	}

	public Date getDate16() {
		return date16;
	}

	public void setDate16(Date date16) {
		this.date16 = date16;
	}

	public Date getDate17() {
		return date17;
	}

	public void setDate17(Date date17) {
		this.date17 = date17;
	}

	public Date getDate18() {
		return date18;
	}

	public void setDate18(Date date18) {
		this.date18 = date18;
	}

	public Date getDate19() {
		return date19;
	}

	public void setDate19(Date date19) {
		this.date19 = date19;
	}

	public Date getDate20() {
		return date20;
	}

	public void setDate20(Date date20) {
		this.date20 = date20;
	}

	public String getList1() {
		return list1;
	}

	public void setList1(String list1) {
		this.list1 = list1;
	}

	public String getList2() {
		return list2;
	}

	public void setList2(String list2) {
		this.list2 = list2;
	}

	public String getList3() {
		return list3;
	}

	public void setList3(String list3) {
		this.list3 = list3;
	}

	public String getList4() {
		return list4;
	}

	public void setList4(String list4) {
		this.list4 = list4;
	}

	public String getList5() {
		return list5;
	}

	public void setList5(String list5) {
		this.list5 = list5;
	}

	public String getList6() {
		return list6;
	}

	public void setList6(String list6) {
		this.list6 = list6;
	}

	public String getList7() {
		return list7;
	}

	public void setList7(String list7) {
		this.list7 = list7;
	}

	public String getList8() {
		return list8;
	}

	public void setList8(String list8) {
		this.list8 = list8;
	}

	public String getList9() {
		return list9;
	}

	public void setList9(String list9) {
		this.list9 = list9;
	}

	public String getList10() {
		return list10;
	}

	public void setList10(String list10) {
		this.list10 = list10;
	}

	public String getList11() {
		return list11;
	}

	public void setList11(String list11) {
		this.list11 = list11;
	}

	public String getList12() {
		return list12;
	}

	public void setList12(String list12) {
		this.list12 = list12;
	}

	public String getList13() {
		return list13;
	}

	public void setList13(String list13) {
		this.list13 = list13;
	}

	public String getList14() {
		return list14;
	}

	public void setList14(String list14) {
		this.list14 = list14;
	}

	public String getList15() {
		return list15;
	}

	public void setList15(String list15) {
		this.list15 = list15;
	}

	public String getList16() {
		return list16;
	}

	public void setList16(String list16) {
		this.list16 = list16;
	}

	public String getList17() {
		return list17;
	}

	public void setList17(String list17) {
		this.list17 = list17;
	}

	public String getList18() {
		return list18;
	}

	public void setList18(String list18) {
		this.list18 = list18;
	}

	public String getList19() {
		return list19;
	}

	public void setList19(String list19) {
		this.list19 = list19;
	}

	public String getList20() {
		return list20;
	}

	public void setList20(String list20) {
		this.list20 = list20;
	}

	public String getText1() {
		return text1;
	}

	public void setText1(String text1) {
		this.text1 = text1;
	}

	public String getText2() {
		return text2;
	}

	public void setText2(String text2) {
		this.text2 = text2;
	}

	public String getText3() {
		return text3;
	}

	public void setText3(String text3) {
		this.text3 = text3;
	}

	public String getText4() {
		return text4;
	}

	public void setText4(String text4) {
		this.text4 = text4;
	}

	public String getText5() {
		return text5;
	}

	public void setText5(String text5) {
		this.text5 = text5;
	}

	public String getText6() {
		return text6;
	}

	public void setText6(String text6) {
		this.text6 = text6;
	}

	public String getText7() {
		return text7;
	}

	public void setText7(String text7) {
		this.text7 = text7;
	}

	public String getText8() {
		return text8;
	}

	public void setText8(String text8) {
		this.text8 = text8;
	}

	public String getText9() {
		return text9;
	}

	public void setText9(String text9) {
		this.text9 = text9;
	}

	public String getText10() {
		return text10;
	}

	public void setText10(String text10) {
		this.text10 = text10;
	}

	public String getText11() {
		return text11;
	}

	public void setText11(String text11) {
		this.text11 = text11;
	}

	public String getText12() {
		return text12;
	}

	public void setText12(String text12) {
		this.text12 = text12;
	}

	public String getText13() {
		return text13;
	}

	public void setText13(String text13) {
		this.text13 = text13;
	}

	public String getText14() {
		return text14;
	}

	public void setText14(String text14) {
		this.text14 = text14;
	}

	public String getText15() {
		return text15;
	}

	public void setText15(String text15) {
		this.text15 = text15;
	}
	public Long getSummaryExtId() {
		return summaryExtId;
	}

	public void setSummaryExtId(Long summaryExtId) {
		this.summaryExtId = summaryExtId;
	}

	public Long getSummaryExtSummaryId() {
		return summaryExtSummaryId;
	}

	public void setSummaryExtSummaryId(Long summaryExtSummaryId) {
		this.summaryExtSummaryId = summaryExtSummaryId;
	}

	public Integer getSummaryExtAppType() {
		return summaryExtAppType;
	}

	public void setSummaryExtAppType(Integer summaryExtAppType) {
		this.summaryExtAppType = summaryExtAppType;
	}
}
