package com.seeyon.apps.govdoc.vo;

import com.seeyon.ctp.common.constants.ApplicationSubCategoryEnum;
import com.seeyon.v3x.edoc.util.EdocStatEnum;
import com.seeyon.v3x.edoc.util.EdocStatEnum.EdocStatDisplayTimeTypeEnum;
import com.seeyon.v3x.edoc.util.EdocStatEnum.EdocStatDisplayTypeEnum;

/**
 * 新公文收发统计查询结果bean
 * @author 陈豪
 * @date 2019-10-22
 */
public class GovdocStatResultVO implements java.io.Serializable {

    private static final long serialVersionUID = -5722219850017817658L;

    private String displayId;
    private Integer processType;
    private Long edocId;
    private Integer affairState;
    private Integer affairSubApp;
    private Integer flowState;

    /**
     * 默认无参构造
     */
    public GovdocStatResultVO() {
    }

    /**
     * 数据库查询数据构造
     * @param object 数据
     * @param displayType 展示类型
     * @param displayTimeType 展示时间类型
     */
    public GovdocStatResultVO(Object[] object, int displayType, int displayTimeType) {
        //展示字段拼装
        int i = 0;
        if(displayType == EdocStatDisplayTypeEnum.department.key() || displayType==EdocStatDisplayTypeEnum.member.key()) {
            this.setDisplayId(object[i++]+"");
        } else {
            if(displayTimeType == EdocStatDisplayTimeTypeEnum.year.key()) {
                this.setDisplayId(displayTimeType + "-" + object[i++]);
            } else if(displayTimeType == EdocStatDisplayTimeTypeEnum.quarter.key()
                    || displayTimeType == EdocStatDisplayTimeTypeEnum.month.key()) {
                this.setDisplayId(displayTimeType + "-" + object[i++] + "-" + object[i++]);
            } else {
                this.setDisplayId(displayTimeType + "-" + object[i++] + "-" + object[i++] + "-" + object[i++]);
            }
        }
        //其他字段set
        this.processType=Integer.parseInt(object[i++].toString());
        this.edocId=Long.parseLong(object[i++].toString());
        this.affairState=Integer.parseInt(object[i++].toString());
        this.affairSubApp=Integer.parseInt(object[i++].toString());
        this.flowState=Integer.parseInt(object[i++].toString());

    }

    /**
     * 展示id
     * @return
     */
    public String getDisplayId() {
        return displayId;
    }

    public void setDisplayId(String displayId) {
        this.displayId = displayId;
    }

    /**
     * 流程类型（区分是（待办/已办：1）还是（待阅/已阅：2））
     * @return
     */
    public Integer getProcessType() {
        return processType;
    }

    public void setProcessType(Integer processType) {
        this.processType = processType;
    }

    /**
     * 公文id
     * @return
     */
    public Long getEdocId() {
        return edocId;
    }

    public void setEdocId(Long edocId) {
        this.edocId = edocId;
    }

    /**
     * affair的state
     * @return
     */
    public Integer getAffairState() {
        return affairState;
    }

    public void setAffairState(Integer affairState) {
        this.affairState = affairState;
    }

    /**
     * affair的subapp
     * @return
     */
    public Integer getAffairSubApp() {
        return affairSubApp;
    }

    public void setAffairSubApp(Integer affairSubApp) {
        this.affairSubApp = affairSubApp;
    }

    /**
     * stat表中的流程状态
     * @return
     */
    public Integer getFlowState() {
        return flowState;
    }

    public void setFlowState(Integer flowState) {
        this.flowState = flowState;
    }
}
